/* This is -*- C -*- */
/* $Id: guppi-seq-impl.c,v 1.2 2000/04/13 19:45:19 trow Exp $ */

/*
 * guppi-seq-impl.c
 *
 * Copyright (C) 2000 EMC Capital Management, Inc.
 *
 * Developed by Jon Trowbridge <trow@gnu.org> and
 * Havoc Pennington <hp@pobox.com>.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#include "guppi-seq-impl.h"

static GtkObjectClass* parent_class = NULL;

enum {
  ARG_0
};

static void
guppi_seq_impl_get_arg(GtkObject* obj, GtkArg* arg, guint arg_id)
{
  switch (arg_id) {

  default:
    break;
  };
}

static void
guppi_seq_impl_set_arg(GtkObject* obj, GtkArg* arg, guint arg_id)
{
  switch (arg_id) {

  default:
    break;
  };
}

static void
guppi_seq_impl_destroy(GtkObject* obj)
{
  if (parent_class->destroy)
    parent_class->destroy(obj);
}

static void
guppi_seq_impl_finalize(GtkObject* obj)
{
  if (parent_class->finalize)
    parent_class->finalize(obj);
}

static void
v_size_info(GuppiDataImpl* data_impl, gchar* buf, gsize N)
{
  GuppiSeqImpl* impl; 
  GuppiSeqImplClass* klass;
  gint i0, i1;

  impl = GUPPI_SEQ_IMPL(data_impl);
  klass = GUPPI_SEQ_IMPL_CLASS(GTK_OBJECT(impl)->klass);

  g_assert(klass->get_bounds);
  (klass->get_bounds)(impl, &i0, &i1);

  if (i0 > i1)
    strncpy(buf, _("empty"), N);
  else
    g_snprintf(buf, N, "%d / %d:%d", i1-i0+1, i0, i1);
}

static void
guppi_seq_impl_class_init(GuppiSeqImplClass* klass)
{
  GtkObjectClass* object_class = (GtkObjectClass*)klass;
  GuppiDataImplClass* data_class = GUPPI_DATA_IMPL_CLASS(klass);

  parent_class = gtk_type_class(GUPPI_TYPE_DATA_IMPL);

  data_class->get_size_info = v_size_info;

  object_class->get_arg = guppi_seq_impl_get_arg;
  object_class->set_arg = guppi_seq_impl_set_arg;
  object_class->destroy = guppi_seq_impl_destroy;
  object_class->finalize = guppi_seq_impl_finalize;

}

static void
guppi_seq_impl_init(GuppiSeqImpl* obj)
{

}

GtkType
guppi_seq_impl_get_type(void)
{
  static GtkType guppi_seq_impl_type = 0;
  if (!guppi_seq_impl_type) {
    static const GtkTypeInfo guppi_seq_impl_info = {
      "GuppiSeqImpl",
      sizeof(GuppiSeqImpl),
      sizeof(GuppiSeqImplClass),
      (GtkClassInitFunc)guppi_seq_impl_class_init,
      (GtkObjectInitFunc)guppi_seq_impl_init,
      NULL, NULL, (GtkClassInitFunc)NULL
    };
    guppi_seq_impl_type = gtk_type_unique(GUPPI_TYPE_DATA_IMPL, &guppi_seq_impl_info);
  }
  return guppi_seq_impl_type;
}

GtkObject*
guppi_seq_impl_new(void)
{
  return GTK_OBJECT(gtk_type_new(guppi_seq_impl_get_type()));
}


/* $Id: guppi-seq-impl.c,v 1.2 2000/04/13 19:45:19 trow Exp $ */
