/* $Id: guppi-debug.h,v 1.2 2000/04/06 23:27:32 trow Exp $ */

/*
 * guppi-debug.h
 *
 * Copyright (C) 1999, 2000 EMC Capital Management, Inc.
 *
 * Developed by Jon Trowbridge <trow@gnu.org>
 * and Havoc Pennington <hp@pobox.com>.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#ifndef _INC_GUPPI_DEBUG_H
#define _INC_GUPPI_DEBUG_H

#include <config.h>
#include <gnome.h>

#define guppi_unimplemented_function_dialog(func) \
  _guppi_unimplemented_function_dialog(func, __FILE__, __LINE__)

void _guppi_unimplemented_function_dialog(const gchar* function,
					  const gchar* filename,
					  gint line);


#define GUPPI_ENTER _guppi_track_entry(__FILE__, __PRETTY_FUNCTION__);
#define GUPPI_EXIT _guppi_track_exit(__FILE__, __PRETTY_FUNCTION__);

void _guppi_track_entry(const gchar* function, const gchar* filename);
void _guppi_track_exit(const gchar* function, const gchar* filename);


void guppi_stop_in_debugger(void);
void guppi_make_warnings_and_criticals_stop_in_debugger(const char* first_domain, ...);

#endif /* _INC_GUPPI_DEBUG_H */

/* $Id: guppi-debug.h,v 1.2 2000/04/06 23:27:32 trow Exp $ */
