/*
 * guppi-useful.c
 *
 * Copyright (C) 2000 EMC Capital Management, Inc.
 *
 * Developed by Jon Trowbridge <trow@gnu.org>
 * and Havoc Pennington <hp@pobox.com>.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#include "guppi-useful.h"
#include "guppi-scm-useful.h"

void
guppi_useful_init(void)
{
  guppi_guile_init();
  guppi_scm_useful_init();

  guppi_timer_init();

  /* Try to insure that we can't gracelessly shutdown the whole process
     from guile. */
  gh_eval_str("(define exit guppi-exit)");
}



/* $Id: guppi-useful.c,v 1.4 2000/02/22 19:39:30 trow Exp $ */
